Subject: re: lavender source

From: [email-masked] (Martha Frost)
Date: Sun, 12 Mar 1995 12:59:49 PST

To the person who wanted a source for commercial lavender production:
I have a copy of FEB '95 BBC Gardeners' World. Page 77 there is an offer (to 
UK customers only) for several varieties of lavender from Norfolk Farms, which 
is the last commercial size producer of lavender oil in England. You may be 
able to contact the farm with your specific request at: Norfolk Lavenders, 
Ltd, Caley Mill, Heacham, Norfolk, PE31 7 JE. I hope this helps.
Regards, Martha
[email-masked]